REM #####################################################################
REM # Cleanup Applied Archive Logs from Data Guard Backed Standby Server
REM # Author: Amos Geng
REM # Date: 09/21/2017
REM #####################################################################

@echo on

REM === Setup esstensial environment variable ===
set var_script_location=G:\emeralit\scripts
set var_log_location=G:\emeralit\logs
set ORACLE_HOME=C:\oracle\product\11.2.0.4
set ORACLE_SID=ORACOM3

goto main

:func_archive_log_cleanup
for /f "delims=" %%a in ('sqlplus -s / as sysdba @%var_script_location%\file_archivelog_sequence.sql') do @set var_sequence=%%a 
rman target / @%var_script_location%\file_archivelog_cleanup.sql %var_sequence% log=%var_log_location%\file_archivelog_clean.log
echo to: support@emeralit.com > %var_log_location%\email.txt
echo from: notice@emeralit.com  >> %var_log_location%\email.txt
echo subject: INFORMATIVE: Emeralit: %computername%: Standby Database Archive Log Cleanup >> %var_log_location%\email.txt
echo.>> %var_log_location%\email.txt
type %var_log_location%\file_archivelog_clean.log >> %var_log_location%\email.txt	
Msmtp -t < %var_log_location%\email.txt
goto:EOF

:main
call :func_archive_log_cleanup
goto:EOF
